MoreTextInternal::Comment Struct Reference

Internal: the comment data of a MoreText. More...

## Public Member Functions

| Comment ()
| constructor

## Public Attributes

MWAWEntry | m_entry
| the text entry
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, Comment const &comment)
| operator<<

## Detailed Description

Internal: the comment data of a MoreText.

## Constructor & Destructor Documentation

## Comment()

MoreTextInternal::Comment::Comment | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Comment const & | comment )

friend

operator<<

## Member Data Documentation

## m_entry

MWAWEntry MoreTextInternal::Comment::m_entry

the text entry

Referenced by Comment(), and MoreText::readComment().

## m_extra

std::string MoreTextInternal::Comment::m_extra

extra data

Referenced by Comment(), operator<<, and MoreText::readComment().

The documentation for this struct was generated from the following file:

- MoreText.cxx